use harmony::{
    data::Version,
    maestro::Maestro,
    modules::lamp::{LAMPConfig, LAMPScore},
    topology::{HAClusterTopology, Url},
};

#[tokio::main]
async fn main() {
    let lamp_stack = LAMPScore {
        name: "harmony-lamp-demo".to_string(),
        domain: Url::Url(url::Url::parse("https://lampdemo.harmony.nationtech.io").unwrap()),
        php_version: Version::from("8.4.4").unwrap(),
        config: LAMPConfig {
            project_root: "./php".into(),
            ..Default::default()
        },
    };

    Maestro::<HAClusterTopology>::load_from_env()
        .interpret(Box::new(lamp_stack))
        .await
        .unwrap();
}
